<?xml version="1.0" encoding="utf-8"?>

<layout>

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.main.detail.SongDetailVM" />
    </data>


    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <include layout="@layout/toolbar1" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/toolbar"
            android:background="@color/bg_music"
            android:orientation="vertical"
            android:paddingTop="@dimen/dimen_2x">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dimen_2x"
                android:text="@string/info"
                android:textAllCaps="true"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:minHeight="@dimen/height_item_my_music"
                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <TextView
                    style="@style/TextPrimary"
                    android:layout_width="@dimen/width_song_info_text_1"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dimen_2x"
                    android:gravity=""
                    android:text="@string/Artist"
                    android:textColor="@color/white" />

                <TextView
                    style="@style/TextSecondPrimary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="@{viewModel.singer}"
                    android:textColor="@color/white" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:minHeight="@dimen/height_item_my_music"
                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <TextView
                    style="@style/TextPrimary"
                    android:layout_width="@dimen/width_song_info_text_1"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dimen_2x"
                    android:gravity=""
                    android:text="@string/release_date"
                    android:textColor="@color/white" />

                <TextView
                    style="@style/TextSecondPrimary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="@{viewModel.releaseDate}"
                    android:textColor="@color/white" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:minHeight="@dimen/height_item_my_music"
                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <TextView
                    style="@style/TextPrimary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dimen_2x"
                    android:gravity=""
                    android:text="@{viewModel.description}" />

            </LinearLayout>

        </LinearLayout>

    </RelativeLayout>

</layout>